<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:of="scpf.org:office" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office style svg of sl fo xlink text scodPp sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:paper)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:paper"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), 'meta'), '/getContent'))"/>
		<xsl:apply-templates mode="Nf"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="Nf" match="*"><scodPp:error xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scodPp:error></xsl:template><!--# pre--><xsl:template mode="Nf" match="sp:pre"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N15', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="*/scodPp:content/*"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Introduction</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN20"/><xsl:value-of select="resultatAgent(concat($vContentAgtN20, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# chap--><xsl:template mode="Nf" match="sp:chap"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N2a', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="*/scodPp:content/*"><scodPp:section><scodPp:title><xsl:variable name="dynStrN32"><xsl:value-of select="concat('Chapitre ', count(preceding-sibling::sp:chap[not(of:filter/sp:exclude[text()='paper'])])+1)"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space($dynStrN32))&gt;0"><xsl:value-of select="$dynStrN32"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN38"/><xsl:value-of select="resultatAgent(concat($vContentAgtN38, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# post--><xsl:template mode="Nf" match="sp:post"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N42', .)"><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N44_{codeAgent('//')}_{generate-id()}" category="ref"><xsl:variable name="vId">
								<xsl:value-of select="concat('@', gotoSubModel())"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable select="concat($vContentAgt, '_Aannexe')" name="vContentAgtN5a"/><xsl:value-of select="resultatAgent(concat($vContentAgtN5a, '/getContent'))" disable-output-escaping="yes"/>
							</scodPp:data></scodPp:dataBlock></xsl:when>
				</xsl:choose>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>