/* Optim Office page manager */
var tplMgr = {
	fCbkPath : "des:.cbkClosed",
	fBkBtnPath : "des:.outBkBtn/des:a",
	/* Localisations */
	fStrings : {en:["Return to the main web site"],
	            fr:["Retour au site web principal"],
	            es:["Volver al sitio web principal"]
	            },

	init : function(){
		// Close collapsable blocks that are closed by default.
		var vCbks = scPaLib.findNodes(this.fCbkPath);
		for (var i in vCbks) {
			var vTgl = scPaLib.findNode("des:a", vCbks[i]);
			if (vTgl) vTgl.onclick();
		}
	},
	saveLocation : function() {
		document.cookie = "lastPageUrl="+escape(document.location.href);
	},
	setBackButtons : function() {
		var vBkBtns = scPaLib.findNodes(this.fBkBtnPath);
		for (var i in vBkBtns) {
			vBkBtns[i].onclick=function(){
				var vArr = /lastPageUrl=([^;]*)/.exec(document.cookie);
				if(vArr && vArr.length==2) this.setAttribute("href", unescape(vArr[1]));
			}
			vBkBtns[i].title = this.xGetStr(0);
		}
	},
	/** Reteive a localized string. */
	xGetStr: function(pStrId) {
		var vLang = navigator.userLanguage || navigator.language;
		vLang = vLang.slice(0,2).toLowerCase();
		if (this.fStrings[vLang])	return this.fStrings[vLang][pStrId];
		else return this.fStrings["en"][pStrId];
	}
}

