<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java of sp " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="of:folder"/>
</xsl:template>

<xsl:template match="sc:item/of:folder">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:folderM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:folder/sp:subPage[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:subPage')]">
<cPbs><pb msg="Un item a été référencé plusieurs fois !" typ="Error">
<xsl:value-of select="formatStr('Veuillez supprimer une des références à l&apos;&apos;item %s.', @sc:refUri)"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="of_folder:subPage" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>






<xsl:template match="text()|@*"/>
</xsl:stylesheet>