<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:of="scpf.org:office" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office style svg of sl fo xlink text scodPp sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:slideshow)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:slideshow"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Na_', generate-id()))"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="Ne" match="*"><scodPp:error xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scodPp:error></xsl:template><!--# slide part--><xsl:template mode="Ne" match="sp:slide | sp:part"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:choose>
							<xsl:when test="resultatAgent('//cond_N14', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1d_', generate-id()))"/><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN30"/><xsl:value-of select="resultatAgent(concat($vContentAgtN30, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
						</xsl:choose>
					</xsl:template><!--# speakerComment--><xsl:template mode="Ne" match="sp:speakerComment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:choose>
							<xsl:when test="resultatAgent('//cond_N3a', .)"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentTitle')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
									<xsl:text>Commentaires pour l&apos;orateur</xsl:text>
									<xsl:text> </xsl:text>
									<xsl:text> </xsl:text>
									<xsl:text>&lt;</xsl:text>
								</xsl:element></scodPp:ifNotNull><xsl:comment># sm:WSection</xsl:comment><xsl:variable name="vLabelContentc671_75"/><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContentc671_75)))&gt;0, normalize-space(string($vLabelContentc671_75)), 'Section')}" text:style-name="{getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentFrame')/text:section/@text:style-name}"><text:p text:style-name="_scod_noDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN51"/><xsl:value-of select="resultatAgent(concat($vContentAgtN51, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="_scod_noDisplayNoKeep"> </text:p></text:section></xsl:when>
						</xsl:choose>
					</xsl:template><!--# readerComment--><xsl:template mode="Ne" match="sp:readerComment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						
					</xsl:template><xsl:template match="*"/></xsl:stylesheet>