<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:of="scpf.org:office" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="" exclude-result-prefixes="table sp xalan office style svg of sl fo xlink text scodPp sc  " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:fragment)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:fragment"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="N8"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="*"><scodPp:error xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scodPp:error></xsl:template><!--# info--><xsl:template mode="N8" match="sp:info"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Ne', .)"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N10_', generate-id()))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# emphasis--><xsl:template mode="N8" match="sp:emphasis"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N27', .)"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N29_', generate-id()))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# extra--><xsl:template mode="N8" match="sp:extra"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N4a', .)"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N4c_', generate-id()))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# evtList--><xsl:template mode="N8" match="sp:evtList"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N6d', .)"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N6f_', generate-id()))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# gallery--><xsl:template mode="N8" match="sp:gallery"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N90', .)"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N92_', generate-id()))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# frag--><xsl:template mode="N8" match="sp:frag"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNb1"/><xsl:value-of select="resultatAgent(concat($vContentAgtNb1, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>