<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:of="scpf.org:office" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office style svg of sl fo xlink text scodPp sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:eventList)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:eventList"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N8_', generate-id()))"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N10" match="*"><scodPp:error xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scodPp:error></xsl:template><!--# event--><xsl:template mode="N10" match="sp:event"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
							<xsl:choose>
								<xsl:when test="resultatAgent('//cond_N18', .)"><xsl:choose>
										
										<xsl:when test="../of:eventListM/sp:aspect='news'"><xsl:variable select="concat($vContentAgt, '_Anews')" name="vContentAgtN20"/><xsl:value-of select="resultatAgent(concat($vContentAgtN20, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
										
										<xsl:otherwise><xsl:variable select="concat($vContentAgt, '_Aagenda')" name="vContentAgtN27"/><xsl:value-of select="resultatAgent(concat($vContentAgtN27, '/getContent'))" disable-output-escaping="yes"/></xsl:otherwise>
									</xsl:choose></xsl:when>
							</xsl:choose>
						</xsl:template><!--# desc--><xsl:template mode="N10" match="sp:desc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
							<xsl:choose>
								<xsl:when test="resultatAgent('//cond_N32', .)"><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN34"/><xsl:value-of select="resultatAgent(concat($vContentAgtN34, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
							</xsl:choose>
						</xsl:template><!--# subList--><xsl:template mode="N10" match="sp:subList"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
							<xsl:choose>
								<xsl:when test="resultatAgent('//cond_N3d', .)"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_eventList__subListTitle')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
									</xsl:element></scodPp:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN47"/><xsl:value-of select="resultatAgent(concat($vContentAgtN47, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
							</xsl:choose>
						</xsl:template><xsl:template match="*"/></xsl:stylesheet>